## i-cal-derived-property

i-cal-derived-property

## Functions

ICalProperty * | i_cal_property_new_acceptresponse ()
void | i_cal_property_set_acceptresponse ()
const gchar * | i_cal_property_get_acceptresponse ()
ICalProperty * | i_cal_property_new_acknowledged ()
void | i_cal_property_set_acknowledged ()
ICalTime * | i_cal_property_get_acknowledged ()
ICalProperty * | i_cal_property_new_action ()
void | i_cal_property_set_action ()
ICalPropertyAction | i_cal_property_get_action ()
ICalProperty * | i_cal_property_new_allowconflict ()
void | i_cal_property_set_allowconflict ()
const gchar * | i_cal_property_get_allowconflict ()
ICalProperty * | i_cal_property_new_attach ()
void | i_cal_property_set_attach ()
ICalAttach * | i_cal_property_get_attach ()
ICalProperty * | i_cal_property_new_attendee ()
void | i_cal_property_set_attendee ()
const gchar * | i_cal_property_get_attendee ()
ICalProperty * | i_cal_property_new_busytype ()
void | i_cal_property_set_busytype ()
ICalPropertyBusytype | i_cal_property_get_busytype ()
ICalProperty * | i_cal_property_new_calid ()
void | i_cal_property_set_calid ()
const gchar * | i_cal_property_get_calid ()
ICalProperty * | i_cal_property_new_calmaster ()
void | i_cal_property_set_calmaster ()
const gchar * | i_cal_property_get_calmaster ()
ICalProperty * | i_cal_property_new_calscale ()
void | i_cal_property_set_calscale ()
const gchar * | i_cal_property_get_calscale ()
ICalProperty * | i_cal_property_new_capversion ()
void | i_cal_property_set_capversion ()
const gchar * | i_cal_property_get_capversion ()
ICalProperty * | i_cal_property_new_carlevel ()
void | i_cal_property_set_carlevel ()
ICalPropertyCarlevel | i_cal_property_get_carlevel ()
ICalProperty * | i_cal_property_new_carid ()
void | i_cal_property_set_carid ()
const gchar * | i_cal_property_get_carid ()
ICalProperty * | i_cal_property_new_categories ()
void | i_cal_property_set_categories ()
const gchar * | i_cal_property_get_categories ()
ICalProperty * | i_cal_property_new_class ()
void | i_cal_property_set_class ()
ICalProperty_Class | i_cal_property_get_class ()
ICalProperty * | i_cal_property_new_cmd ()
void | i_cal_property_set_cmd ()
ICalPropertyCmd | i_cal_property_get_cmd ()
ICalProperty * | i_cal_property_new_comment ()
void | i_cal_property_set_comment ()
const gchar * | i_cal_property_get_color ()
ICalProperty * | i_cal_property_new_color ()
void | i_cal_property_set_color ()
const gchar * | i_cal_property_get_comment ()
ICalProperty * | i_cal_property_new_completed ()
void | i_cal_property_set_completed ()
ICalTime * | i_cal_property_get_completed ()
ICalProperty * | i_cal_property_new_components ()
void | i_cal_property_set_components ()
const gchar * | i_cal_property_get_components ()
ICalProperty * | i_cal_property_new_contact ()
void | i_cal_property_set_contact ()
const gchar * | i_cal_property_get_contact ()
ICalProperty * | i_cal_property_new_created ()
void | i_cal_property_set_created ()
ICalTime * | i_cal_property_get_created ()
ICalProperty * | i_cal_property_new_csid ()
void | i_cal_property_set_csid ()
const gchar * | i_cal_property_get_csid ()
ICalProperty * | i_cal_property_new_datemax ()
void | i_cal_property_set_datemax ()
ICalTime * | i_cal_property_get_datemax ()
ICalProperty * | i_cal_property_new_datemin ()
void | i_cal_property_set_datemin ()
ICalTime * | i_cal_property_get_datemin ()
ICalProperty * | i_cal_property_new_decreed ()
void | i_cal_property_set_decreed ()
const gchar * | i_cal_property_get_decreed ()
ICalProperty * | i_cal_property_new_defaultcharset ()
void | i_cal_property_set_defaultcharset ()
const gchar * | i_cal_property_get_defaultcharset ()
ICalProperty * | i_cal_property_new_defaultlocale ()
void | i_cal_property_set_defaultlocale ()
const gchar * | i_cal_property_get_defaultlocale ()
ICalProperty * | i_cal_property_new_defaulttzid ()
void | i_cal_property_set_defaulttzid ()
const gchar * | i_cal_property_get_defaulttzid ()
ICalProperty * | i_cal_property_new_defaultvcars ()
void | i_cal_property_set_defaultvcars ()
const gchar * | i_cal_property_get_defaultvcars ()
ICalProperty * | i_cal_property_new_deny ()
void | i_cal_property_set_deny ()
const gchar * | i_cal_property_get_deny ()
ICalProperty * | i_cal_property_new_description ()
void | i_cal_property_set_description ()
const gchar * | i_cal_property_get_description ()
ICalProperty * | i_cal_property_new_dtend ()
void | i_cal_property_set_dtend ()
ICalTime * | i_cal_property_get_dtend ()
ICalProperty * | i_cal_property_new_dtstamp ()
void | i_cal_property_set_dtstamp ()
ICalTime * | i_cal_property_get_dtstamp ()
ICalProperty * | i_cal_property_new_dtstart ()
void | i_cal_property_set_dtstart ()
ICalTime * | i_cal_property_get_dtstart ()
ICalProperty * | i_cal_property_new_due ()
void | i_cal_property_set_due ()
ICalTime * | i_cal_property_get_due ()
ICalProperty * | i_cal_property_new_duration ()
void | i_cal_property_set_duration ()
ICalDuration * | i_cal_property_get_duration ()
ICalProperty * | i_cal_property_new_estimatedduration ()
void | i_cal_property_set_estimatedduration ()
ICalDuration * | i_cal_property_get_estimatedduration ()
ICalProperty * | i_cal_property_new_exdate ()
void | i_cal_property_set_exdate ()
ICalTime * | i_cal_property_get_exdate ()
ICalProperty * | i_cal_property_new_expand ()
void | i_cal_property_set_expand ()
gint | i_cal_property_get_expand ()
ICalProperty * | i_cal_property_new_exrule ()
void | i_cal_property_set_exrule ()
ICalRecurrence * | i_cal_property_get_exrule ()
ICalProperty * | i_cal_property_new_freebusy ()
void | i_cal_property_set_freebusy ()
ICalPeriod * | i_cal_property_get_freebusy ()
ICalProperty * | i_cal_property_new_geo ()
void | i_cal_property_set_geo ()
ICalGeo * | i_cal_property_get_geo ()
ICalProperty * | i_cal_property_new_grant ()
void | i_cal_property_set_grant ()
const gchar * | i_cal_property_get_grant ()
ICalProperty * | i_cal_property_new_itipversion ()
void | i_cal_property_set_itipversion ()
const gchar * | i_cal_property_get_itipversion ()
ICalProperty * | i_cal_property_new_lastmodified ()
void | i_cal_property_set_lastmodified ()
ICalTime * | i_cal_property_get_lastmodified ()
ICalProperty * | i_cal_property_new_location ()
void | i_cal_property_set_location ()
const gchar * | i_cal_property_get_location ()
ICalProperty * | i_cal_property_new_maxcomponentsize ()
void | i_cal_property_set_maxcomponentsize ()
gint | i_cal_property_get_maxcomponentsize ()
ICalProperty * | i_cal_property_new_maxdate ()
void | i_cal_property_set_maxdate ()
ICalTime * | i_cal_property_get_maxdate ()
ICalProperty * | i_cal_property_new_maxresults ()
void | i_cal_property_set_maxresults ()
gint | i_cal_property_get_maxresults ()
ICalProperty * | i_cal_property_new_maxresultssize ()
void | i_cal_property_set_maxresultssize ()
gint | i_cal_property_get_maxresultssize ()
ICalProperty * | i_cal_property_new_method ()
void | i_cal_property_set_method ()
ICalPropertyMethod | i_cal_property_get_method ()
ICalProperty * | i_cal_property_new_mindate ()
void | i_cal_property_set_mindate ()
ICalTime * | i_cal_property_get_mindate ()
ICalProperty * | i_cal_property_new_multipart ()
void | i_cal_property_set_multipart ()
const gchar * | i_cal_property_get_multipart ()
ICalProperty * | i_cal_property_new_name ()
void | i_cal_property_set_name ()
const gchar * | i_cal_property_get_name ()
ICalProperty * | i_cal_property_new_organizer ()
void | i_cal_property_set_organizer ()
const gchar * | i_cal_property_get_organizer ()
ICalProperty * | i_cal_property_new_owner ()
void | i_cal_property_set_owner ()
const gchar * | i_cal_property_get_owner ()
ICalProperty * | i_cal_property_new_percentcomplete ()
void | i_cal_property_set_percentcomplete ()
gint | i_cal_property_get_percentcomplete ()
ICalProperty * | i_cal_property_new_permission ()
void | i_cal_property_set_permission ()
const gchar * | i_cal_property_get_permission ()
ICalProperty * | i_cal_property_new_pollcompletion ()
void | i_cal_property_set_pollcompletion ()
ICalPropertyPollcompletion | i_cal_property_get_pollcompletion ()
ICalProperty * | i_cal_property_new_pollitemid ()
void | i_cal_property_set_pollitemid ()
gint | i_cal_property_get_pollitemid ()
ICalProperty * | i_cal_property_new_pollmode ()
void | i_cal_property_set_pollmode ()
ICalPropertyPollmode | i_cal_property_get_pollmode ()
ICalProperty * | i_cal_property_new_pollproperties ()
void | i_cal_property_set_pollproperties ()
const gchar * | i_cal_property_get_pollproperties ()
ICalProperty * | i_cal_property_new_pollwinner ()
void | i_cal_property_set_pollwinner ()
gint | i_cal_property_get_pollwinner ()
ICalProperty * | i_cal_property_new_priority ()
void | i_cal_property_set_priority ()
gint | i_cal_property_get_priority ()
ICalProperty * | i_cal_property_new_prodid ()
void | i_cal_property_set_prodid ()
const gchar * | i_cal_property_get_prodid ()
ICalProperty * | i_cal_property_new_query ()
void | i_cal_property_set_query ()
const gchar * | i_cal_property_get_query ()
ICalProperty * | i_cal_property_new_querylevel ()
void | i_cal_property_set_querylevel ()
ICalPropertyQuerylevel | i_cal_property_get_querylevel ()
ICalProperty * | i_cal_property_new_queryid ()
void | i_cal_property_set_queryid ()
const gchar * | i_cal_property_get_queryid ()
ICalProperty * | i_cal_property_new_queryname ()
void | i_cal_property_set_queryname ()
const gchar * | i_cal_property_get_queryname ()
ICalProperty * | i_cal_property_new_rdate ()
void | i_cal_property_set_rdate ()
ICalDatetimeperiod * | i_cal_property_get_rdate ()
ICalProperty * | i_cal_property_new_recuraccepted ()
void | i_cal_property_set_recuraccepted ()
const gchar * | i_cal_property_get_recuraccepted ()
ICalProperty * | i_cal_property_new_recurexpand ()
void | i_cal_property_set_recurexpand ()
const gchar * | i_cal_property_get_recurexpand ()
ICalProperty * | i_cal_property_new_recurlimit ()
void | i_cal_property_set_recurlimit ()
const gchar * | i_cal_property_get_recurlimit ()
ICalProperty * | i_cal_property_new_recurrenceid ()
void | i_cal_property_set_recurrenceid ()
ICalTime * | i_cal_property_get_recurrenceid ()
ICalProperty * | i_cal_property_new_relatedto ()
void | i_cal_property_set_relatedto ()
const gchar * | i_cal_property_get_relatedto ()
ICalProperty * | i_cal_property_new_relcalid ()
void | i_cal_property_set_relcalid ()
const gchar * | i_cal_property_get_relcalid ()
ICalProperty * | i_cal_property_new_repeat ()
void | i_cal_property_set_repeat ()
gint | i_cal_property_get_repeat ()
ICalProperty * | i_cal_property_new_replyurl ()
void | i_cal_property_set_replyurl ()
const gchar * | i_cal_property_get_replyurl ()
ICalProperty * | i_cal_property_new_requeststatus ()
void | i_cal_property_set_requeststatus ()
ICalReqstat * | i_cal_property_get_requeststatus ()
ICalProperty * | i_cal_property_new_resources ()
void | i_cal_property_set_resources ()
const gchar * | i_cal_property_get_resources ()
ICalProperty * | i_cal_property_new_response ()
void | i_cal_property_set_response ()
gint | i_cal_property_get_response ()
ICalProperty * | i_cal_property_new_restriction ()
void | i_cal_property_set_restriction ()
const gchar * | i_cal_property_get_restriction ()
ICalProperty * | i_cal_property_new_rrule ()
void | i_cal_property_set_rrule ()
ICalRecurrence * | i_cal_property_get_rrule ()
ICalProperty * | i_cal_property_new_scope ()
void | i_cal_property_set_scope ()
const gchar * | i_cal_property_get_scope ()
ICalProperty * | i_cal_property_new_sequence ()
void | i_cal_property_set_sequence ()
gint | i_cal_property_get_sequence ()
ICalProperty * | i_cal_property_new_status ()
void | i_cal_property_set_status ()
ICalPropertyStatus | i_cal_property_get_status ()
ICalProperty * | i_cal_property_new_storesexpanded ()
void | i_cal_property_set_storesexpanded ()
const gchar * | i_cal_property_get_storesexpanded ()
ICalProperty * | i_cal_property_new_summary ()
void | i_cal_property_set_summary ()
const gchar * | i_cal_property_get_summary ()
ICalProperty * | i_cal_property_new_target ()
void | i_cal_property_set_target ()
const gchar * | i_cal_property_get_target ()
ICalProperty * | i_cal_property_new_taskmode ()
void | i_cal_property_set_taskmode ()
ICalPropertyTaskmode | i_cal_property_get_taskmode ()
ICalProperty * | i_cal_property_new_transp ()
void | i_cal_property_set_transp ()
ICalPropertyTransp | i_cal_property_get_transp ()
ICalProperty * | i_cal_property_new_trigger ()
void | i_cal_property_set_trigger ()
ICalTrigger * | i_cal_property_get_trigger ()
ICalProperty * | i_cal_property_new_tzid ()
void | i_cal_property_set_tzid ()
const gchar * | i_cal_property_get_tzid ()
ICalProperty * | i_cal_property_new_tzidaliasof ()
void | i_cal_property_set_tzidaliasof ()
const gchar * | i_cal_property_get_tzidaliasof ()
ICalProperty * | i_cal_property_new_tzname ()
void | i_cal_property_set_tzname ()
const gchar * | i_cal_property_get_tzname ()
ICalProperty * | i_cal_property_new_tzoffsetfrom ()
void | i_cal_property_set_tzoffsetfrom ()
gint | i_cal_property_get_tzoffsetfrom ()
ICalProperty * | i_cal_property_new_tzoffsetto ()
void | i_cal_property_set_tzoffsetto ()
gint | i_cal_property_get_tzoffsetto ()
ICalProperty * | i_cal_property_new_tzuntil ()
void | i_cal_property_set_tzuntil ()
ICalTime * | i_cal_property_get_tzuntil ()
ICalProperty * | i_cal_property_new_tzurl ()
void | i_cal_property_set_tzurl ()
const gchar * | i_cal_property_get_tzurl ()
ICalProperty * | i_cal_property_new_uid ()
void | i_cal_property_set_uid ()
const gchar * | i_cal_property_get_uid ()
ICalProperty * | i_cal_property_new_url ()
void | i_cal_property_set_url ()
const gchar * | i_cal_property_get_url ()
ICalProperty * | i_cal_property_new_version ()
void | i_cal_property_set_version ()
const gchar * | i_cal_property_get_version ()
ICalProperty * | i_cal_property_new_voter ()
void | i_cal_property_set_voter ()
const gchar * | i_cal_property_get_voter ()
ICalProperty * | i_cal_property_new_x ()
void | i_cal_property_set_x ()
const gchar * | i_cal_property_get_x ()
ICalProperty * | i_cal_property_new_xlicclass ()
void | i_cal_property_set_xlicclass ()
ICalPropertyXlicclass | i_cal_property_get_xlicclass ()
ICalProperty * | i_cal_property_new_xlicclustercount ()
void | i_cal_property_set_xlicclustercount ()
const gchar * | i_cal_property_get_xlicclustercount ()
ICalProperty * | i_cal_property_new_xlicerror ()
void | i_cal_property_set_xlicerror ()
const gchar * | i_cal_property_get_xlicerror ()
ICalProperty * | i_cal_property_new_xlicmimecharset ()
void | i_cal_property_set_xlicmimecharset ()
const gchar * | i_cal_property_get_xlicmimecharset ()
ICalProperty * | i_cal_property_new_xlicmimecid ()
void | i_cal_property_set_xlicmimecid ()
const gchar * | i_cal_property_get_xlicmimecid ()
ICalProperty * | i_cal_property_new_xlicmimecontenttype ()
void | i_cal_property_set_xlicmimecontenttype ()
const gchar * | i_cal_property_get_xlicmimecontenttype ()
ICalProperty * | i_cal_property_new_xlicmimeencoding ()
void | i_cal_property_set_xlicmimeencoding ()
const gchar * | i_cal_property_get_xlicmimeencoding ()
ICalProperty * | i_cal_property_new_xlicmimefilename ()
void | i_cal_property_set_xlicmimefilename ()
const gchar * | i_cal_property_get_xlicmimefilename ()
ICalProperty * | i_cal_property_new_xlicmimeoptinfo ()
void | i_cal_property_set_xlicmimeoptinfo ()
const gchar * | i_cal_property_get_xlicmimeoptinfo ()

## Types and Values

enum | ICalPropertyKind

## Description

## Functions

### i_cal_property_new_acceptresponse ()

    ICalProperty *
    i_cal_property_new_acceptresponse (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The acceptresponse |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_acceptresponse ()

    void
    i_cal_property_set_acceptresponse (ICalProperty *prop,
                                       const gchar *v);

Sets the acceptresponse for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The acceptresponse |

Since: 2.0

### i_cal_property_get_acceptresponse ()

    const gchar *
    i_cal_property_get_acceptresponse (ICalProperty *prop);

Gets the acceptresponse of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the acceptresponse of ICalProperty.

[transfer none]

Since: 2.0

### i_cal_property_new_acknowledged ()

    ICalProperty *
    i_cal_property_new_acknowledged (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of acknowledgement |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_acknowledged ()

    void
    i_cal_property_set_acknowledged (ICalProperty *prop,
                                     ICalTime *v);

Sets the acknowledged time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The acknowledgement time |

Since: 1.0

### i_cal_property_get_acknowledged ()

    ICalTime *
    i_cal_property_get_acknowledged (ICalProperty *prop);

Gets the acknowledged time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the acknowledged time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_action ()

    ICalProperty *
    i_cal_property_new_action (ICalPropertyAction v);

Creates a new ICalProperty.

#### Parameters

v | The action |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_action ()

    void
    i_cal_property_set_action (ICalProperty *prop,
                               ICalPropertyAction v);

Sets the action for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The action |

Since: 1.0

### i_cal_property_get_action ()

    ICalPropertyAction
    i_cal_property_get_action (ICalProperty *prop);

Gets the action of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the action of ICalProperty.

Since: 1.0

### i_cal_property_new_allowconflict ()

    ICalProperty *
    i_cal_property_new_allowconflict (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The allowconflict |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_allowconflict ()

    void
    i_cal_property_set_allowconflict (ICalProperty *prop,
                                      const gchar *v);

Sets the allowconflict for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The allowconflict |

Since: 1.0

### i_cal_property_get_allowconflict ()

    const gchar *
    i_cal_property_get_allowconflict (ICalProperty *prop);

Gets the allowconflict of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the allowconflict of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_attach ()

    ICalProperty *
    i_cal_property_new_attach (ICalAttach *v);

Creates a new ICalProperty.

#### Parameters

v | The ICalAttach |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_attach ()

    void
    i_cal_property_set_attach (ICalProperty *prop,
                               ICalAttach *v);

Sets the attach for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The attach. | [transfer none]

Since: 1.0

### i_cal_property_get_attach ()

    ICalAttach *
    i_cal_property_get_attach (ICalProperty *prop);

Gets the attach of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the attach of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_attendee ()

    ICalProperty *
    i_cal_property_new_attendee (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The attendee |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_attendee ()

    void
    i_cal_property_set_attendee (ICalProperty *prop,
                                 const gchar *v);

Sets the attendee for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The attendee |

Since: 1.0

### i_cal_property_get_attendee ()

    const gchar *
    i_cal_property_get_attendee (ICalProperty *prop);

Gets the attendee of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the attendee of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_busytype ()

    ICalProperty *
    i_cal_property_new_busytype (ICalPropertyBusytype v);

Creates a new ICalProperty.

#### Parameters

v | The busytype |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_busytype ()

    void
    i_cal_property_set_busytype (ICalProperty *prop,
                                 ICalPropertyBusytype v);

Sets the busytype for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The busytype |

Since: 2.0

### i_cal_property_get_busytype ()

    ICalPropertyBusytype
    i_cal_property_get_busytype (ICalProperty *prop);

Gets the busytype of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the busytype of ICalProperty.

Since: 2.0

### i_cal_property_new_calid ()

    ICalProperty *
    i_cal_property_new_calid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The calid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_calid ()

    void
    i_cal_property_set_calid (ICalProperty *prop,
                              const gchar *v);

Sets the calid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The calid |

Since: 1.0

### i_cal_property_get_calid ()

    const gchar *
    i_cal_property_get_calid (ICalProperty *prop);

Gets the calid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the calid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_calmaster ()

    ICalProperty *
    i_cal_property_new_calmaster (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The calmaster |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_calmaster ()

    void
    i_cal_property_set_calmaster (ICalProperty *prop,
                                  const gchar *v);

Sets the calmaster for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The calmaster |

Since: 1.0

### i_cal_property_get_calmaster ()

    const gchar *
    i_cal_property_get_calmaster (ICalProperty *prop);

Gets the calmaster of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the calmaster of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_calscale ()

    ICalProperty *
    i_cal_property_new_calscale (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The calscale |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_calscale ()

    void
    i_cal_property_set_calscale (ICalProperty *prop,
                                 const gchar *v);

Sets the calscale for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The calscale |

Since: 1.0

### i_cal_property_get_calscale ()

    const gchar *
    i_cal_property_get_calscale (ICalProperty *prop);

Gets the calscale of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the calscale of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_capversion ()

    ICalProperty *
    i_cal_property_new_capversion (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The capversion |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_capversion ()

    void
    i_cal_property_set_capversion (ICalProperty *prop,
                                   const gchar *v);

Sets the capversion for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The capversion |

Since: 1.0

### i_cal_property_get_capversion ()

    const gchar *
    i_cal_property_get_capversion (ICalProperty *prop);

Gets the capversion of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the capversion of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_carlevel ()

    ICalProperty *
    i_cal_property_new_carlevel (ICalPropertyCarlevel v);

Creates a new ICalProperty.

#### Parameters

v | The carlevel |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_carlevel ()

    void
    i_cal_property_set_carlevel (ICalProperty *prop,
                                 ICalPropertyCarlevel v);

Sets the carlevel for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The carlevel |

Since: 1.0

### i_cal_property_get_carlevel ()

    ICalPropertyCarlevel
    i_cal_property_get_carlevel (ICalProperty *prop);

Gets the carlevel of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the carlevel of ICalProperty.

Since: 1.0

### i_cal_property_new_carid ()

    ICalProperty *
    i_cal_property_new_carid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The carid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_carid ()

    void
    i_cal_property_set_carid (ICalProperty *prop,
                              const gchar *v);

Sets the carid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The carid |

Since: 1.0

### i_cal_property_get_carid ()

    const gchar *
    i_cal_property_get_carid (ICalProperty *prop);

Gets the carid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the carid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_categories ()

    ICalProperty *
    i_cal_property_new_categories (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The categories |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_categories ()

    void
    i_cal_property_set_categories (ICalProperty *prop,
                                   const gchar *v);

Sets the categories for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The categories |

Since: 1.0

### i_cal_property_get_categories ()

    const gchar *
    i_cal_property_get_categories (ICalProperty *prop);

Gets the categories of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the categories of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_class ()

    ICalProperty *
    i_cal_property_new_class (ICalProperty_Class v);

Creates a new ICalProperty.

#### Parameters

v | The class |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_class ()

    void
    i_cal_property_set_class (ICalProperty *prop,
                              ICalProperty_Class v);

Sets the class for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The class |

Since: 1.0

### i_cal_property_get_class ()

    ICalProperty_Class
    i_cal_property_get_class (ICalProperty *prop);

Gets the class of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the class of ICalProperty.

Since: 1.0

### i_cal_property_new_cmd ()

    ICalProperty *
    i_cal_property_new_cmd (ICalPropertyCmd v);

Creates a new ICalProperty.

#### Parameters

v | The cmd |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_cmd ()

    void
    i_cal_property_set_cmd (ICalProperty *prop,
                            ICalPropertyCmd v);

Sets the cmd for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The cmd |

Since: 1.0

### i_cal_property_get_cmd ()

    ICalPropertyCmd
    i_cal_property_get_cmd (ICalProperty *prop);

Gets the cmd of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the cmd of ICalProperty.

Since: 1.0

### i_cal_property_new_comment ()

    ICalProperty *
    i_cal_property_new_comment (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The comment |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_comment ()

    void
    i_cal_property_set_comment (ICalProperty *prop,
                                const gchar *v);

Sets the comment for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The comment |

Since: 1.0

### i_cal_property_get_color ()

    const gchar *
    i_cal_property_get_color (ICalProperty *prop);

Gets the color property of the `prop` .

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the color property.

[transfer none]

Since: 3.0.5

### i_cal_property_new_color ()

    ICalProperty *
    i_cal_property_new_color (const gchar *v);

Creates a new color ICalProperty.

#### Parameters

v | The color |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_color ()

    void
    i_cal_property_set_color (ICalProperty *prop,
                              const gchar *v);

Sets the color for the `prop` .

#### Parameters

prop | The ICalProperty to be set |
v | The color |

Since: 1.0

### i_cal_property_get_comment ()

    const gchar *
    i_cal_property_get_comment (ICalProperty *prop);

Gets the comment of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the comment of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_completed ()

    ICalProperty *
    i_cal_property_new_completed (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of completed |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_completed ()

    void
    i_cal_property_set_completed (ICalProperty *prop,
                                  ICalTime *v);

Sets the completed time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The completed time |

Since: 1.0

### i_cal_property_get_completed ()

    ICalTime *
    i_cal_property_get_completed (ICalProperty *prop);

Gets the completed time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the completed time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_components ()

    ICalProperty *
    i_cal_property_new_components (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The components |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_components ()

    void
    i_cal_property_set_components (ICalProperty *prop,
                                   const gchar *v);

Sets the components for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The components |

Since: 1.0

### i_cal_property_get_components ()

    const gchar *
    i_cal_property_get_components (ICalProperty *prop);

Gets the components of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the components of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_contact ()

    ICalProperty *
    i_cal_property_new_contact (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The contact |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_contact ()

    void
    i_cal_property_set_contact (ICalProperty *prop,
                                const gchar *v);

Sets the contact for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The contact |

Since: 1.0

### i_cal_property_get_contact ()

    const gchar *
    i_cal_property_get_contact (ICalProperty *prop);

Gets the contact of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the contact of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_created ()

    ICalProperty *
    i_cal_property_new_created (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of created |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_created ()

    void
    i_cal_property_set_created (ICalProperty *prop,
                                ICalTime *v);

Sets the created time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The created time |

Since: 1.0

### i_cal_property_get_created ()

    ICalTime *
    i_cal_property_get_created (ICalProperty *prop);

Gets the created time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the created time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_csid ()

    ICalProperty *
    i_cal_property_new_csid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The csid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_csid ()

    void
    i_cal_property_set_csid (ICalProperty *prop,
                             const gchar *v);

Sets the csid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The csid |

Since: 1.0

### i_cal_property_get_csid ()

    const gchar *
    i_cal_property_get_csid (ICalProperty *prop);

Gets the csid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the csid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_datemax ()

    ICalProperty *
    i_cal_property_new_datemax (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of datemax |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_datemax ()

    void
    i_cal_property_set_datemax (ICalProperty *prop,
                                ICalTime *v);

Sets the datemax time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The datemax time |

Since: 1.0

### i_cal_property_get_datemax ()

    ICalTime *
    i_cal_property_get_datemax (ICalProperty *prop);

Gets the datemax time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the datemax time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_datemin ()

    ICalProperty *
    i_cal_property_new_datemin (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of datemin |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_datemin ()

    void
    i_cal_property_set_datemin (ICalProperty *prop,
                                ICalTime *v);

Sets the datemin time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The datemin time |

Since: 1.0

### i_cal_property_get_datemin ()

    ICalTime *
    i_cal_property_get_datemin (ICalProperty *prop);

Gets the datemin time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the datemin time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_decreed ()

    ICalProperty *
    i_cal_property_new_decreed (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The decreed |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_decreed ()

    void
    i_cal_property_set_decreed (ICalProperty *prop,
                                const gchar *v);

Sets the decreed for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The decreed |

Since: 1.0

### i_cal_property_get_decreed ()

    const gchar *
    i_cal_property_get_decreed (ICalProperty *prop);

Gets the decreed of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the decreed of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_defaultcharset ()

    ICalProperty *
    i_cal_property_new_defaultcharset (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The defaultcharset |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_defaultcharset ()

    void
    i_cal_property_set_defaultcharset (ICalProperty *prop,
                                       const gchar *v);

Sets the defaultcharset for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The defaultcharset |

Since: 1.0

### i_cal_property_get_defaultcharset ()

    const gchar *
    i_cal_property_get_defaultcharset (ICalProperty *prop);

Gets the defaultcharset of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the defaultcharset of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_defaultlocale ()

    ICalProperty *
    i_cal_property_new_defaultlocale (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The defaultlocale |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_defaultlocale ()

    void
    i_cal_property_set_defaultlocale (ICalProperty *prop,
                                      const gchar *v);

Sets the defaultlocale for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The defaultlocale |

Since: 1.0

### i_cal_property_get_defaultlocale ()

    const gchar *
    i_cal_property_get_defaultlocale (ICalProperty *prop);

Gets the defaultlocale of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the defaultlocale of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_defaulttzid ()

    ICalProperty *
    i_cal_property_new_defaulttzid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The defaulttzid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_defaulttzid ()

    void
    i_cal_property_set_defaulttzid (ICalProperty *prop,
                                    const gchar *v);

Sets the defaulttzid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The defaulttzid |

Since: 1.0

### i_cal_property_get_defaulttzid ()

    const gchar *
    i_cal_property_get_defaulttzid (ICalProperty *prop);

Gets the defaulttzid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the defaulttzid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_defaultvcars ()

    ICalProperty *
    i_cal_property_new_defaultvcars (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The defaultvcars |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_defaultvcars ()

    void
    i_cal_property_set_defaultvcars (ICalProperty *prop,
                                     const gchar *v);

Sets the defaultvcars for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The defaultvcars |

Since: 1.0

### i_cal_property_get_defaultvcars ()

    const gchar *
    i_cal_property_get_defaultvcars (ICalProperty *prop);

Gets the defaultvcars of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the defaultvcars of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_deny ()

    ICalProperty *
    i_cal_property_new_deny (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The deny |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_deny ()

    void
    i_cal_property_set_deny (ICalProperty *prop,
                             const gchar *v);

Sets the deny for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The deny |

Since: 1.0

### i_cal_property_get_deny ()

    const gchar *
    i_cal_property_get_deny (ICalProperty *prop);

Gets the deny of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the deny of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_description ()

    ICalProperty *
    i_cal_property_new_description (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The description |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_description ()

    void
    i_cal_property_set_description (ICalProperty *prop,
                                    const gchar *v);

Sets the description for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The description |

Since: 1.0

### i_cal_property_get_description ()

    const gchar *
    i_cal_property_get_description (ICalProperty *prop);

Gets the description of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the description of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_dtend ()

    ICalProperty *
    i_cal_property_new_dtend (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of dtend |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_dtend ()

    void
    i_cal_property_set_dtend (ICalProperty *prop,
                              ICalTime *v);

Sets the dtend time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The dtend time |

Since: 1.0

### i_cal_property_get_dtend ()

    ICalTime *
    i_cal_property_get_dtend (ICalProperty *prop);

Gets the dtend time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the dtend time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_dtstamp ()

    ICalProperty *
    i_cal_property_new_dtstamp (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of dtstamp |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_dtstamp ()

    void
    i_cal_property_set_dtstamp (ICalProperty *prop,
                                ICalTime *v);

Sets the dtstamp time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The dtstamp time |

Since: 1.0

### i_cal_property_get_dtstamp ()

    ICalTime *
    i_cal_property_get_dtstamp (ICalProperty *prop);

Gets the dtstamp time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the dtstamp time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_dtstart ()

    ICalProperty *
    i_cal_property_new_dtstart (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of dtstart |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_dtstart ()

    void
    i_cal_property_set_dtstart (ICalProperty *prop,
                                ICalTime *v);

Sets the dtstart time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The dtstart time |

Since: 1.0

### i_cal_property_get_dtstart ()

    ICalTime *
    i_cal_property_get_dtstart (ICalProperty *prop);

Gets the dtstart time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the dtstart time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_due ()

    ICalProperty *
    i_cal_property_new_due (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of due |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_due ()

    void
    i_cal_property_set_due (ICalProperty *prop,
                            ICalTime *v);

Sets the due time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The due time |

Since: 1.0

### i_cal_property_get_due ()

    ICalTime *
    i_cal_property_get_due (ICalProperty *prop);

Gets the due time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the due time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_duration ()

    ICalProperty *
    i_cal_property_new_duration (ICalDuration *v);

Creates a new ICalProperty.

#### Parameters

v | The duration |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_duration ()

    void
    i_cal_property_set_duration (ICalProperty *prop,
                                 ICalDuration *v);

Sets the duration for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The duration |

Since: 1.0

### i_cal_property_get_duration ()

    ICalDuration *
    i_cal_property_get_duration (ICalProperty *prop);

Gets the duration of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the duration of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_estimatedduration ()

    ICalProperty *
    i_cal_property_new_estimatedduration (ICalDuration *v);

Creates a new ICalProperty.

#### Parameters

v | The estimatedduration |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_estimatedduration ()

    void
    i_cal_property_set_estimatedduration (ICalProperty *prop,
                                          ICalDuration *v);

Sets the estimatedduration for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The estimatedduration |

Since: 1.0

### i_cal_property_get_estimatedduration ()

    ICalDuration *
    i_cal_property_get_estimatedduration (ICalProperty *prop);

Gets the estimatedduration of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the estimatedduration of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_exdate ()

    ICalProperty *
    i_cal_property_new_exdate (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of exdate |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_exdate ()

    void
    i_cal_property_set_exdate (ICalProperty *prop,
                               ICalTime *v);

Sets the exdate time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The exdate time |

Since: 1.0

### i_cal_property_get_exdate ()

    ICalTime *
    i_cal_property_get_exdate (ICalProperty *prop);

Gets the exdate time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the exdate time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_expand ()

    ICalProperty *
    i_cal_property_new_expand (gint v);

Creates a new ICalProperty.

#### Parameters

v | The expand |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_expand ()

    void
    i_cal_property_set_expand (ICalProperty *prop,
                               gint v);

Sets the expand for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The expand |

Since: 1.0

### i_cal_property_get_expand ()

    gint
    i_cal_property_get_expand (ICalProperty *prop);

Gets the expand of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the expand of ICalProperty.

Since: 1.0

### i_cal_property_new_exrule ()

    ICalProperty *
    i_cal_property_new_exrule (ICalRecurrence *v);

Creates a new ICalProperty.

#### Parameters

v | The exrule recurrence type |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_exrule ()

    void
    i_cal_property_set_exrule (ICalProperty *prop,
                               ICalRecurrence *v);

Sets the exrule time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The exrule recurrence type |

Since: 1.0

### i_cal_property_get_exrule ()

    ICalRecurrence *
    i_cal_property_get_exrule (ICalProperty *prop);

Gets the exrule recurrence type of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the exrule recurrence type of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_freebusy ()

    ICalProperty *
    i_cal_property_new_freebusy (ICalPeriod *v);

Creates a new ICalProperty.

#### Parameters

v | The freebusy period type |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_freebusy ()

    void
    i_cal_property_set_freebusy (ICalProperty *prop,
                                 ICalPeriod *v);

Sets the freebusy time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The freebusy period type |

Since: 1.0

### i_cal_property_get_freebusy ()

    ICalPeriod *
    i_cal_property_get_freebusy (ICalProperty *prop);

Gets the freebusy period type of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the freebusy period type of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_geo ()

    ICalProperty *
    i_cal_property_new_geo (ICalGeo *v);

Creates a new ICalProperty.

#### Parameters

v | The geo type |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_geo ()

    void
    i_cal_property_set_geo (ICalProperty *prop,
                            ICalGeo *v);

Sets the geo for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The geo type |

Since: 1.0

### i_cal_property_get_geo ()

    ICalGeo *
    i_cal_property_get_geo (ICalProperty *prop);

Gets the geo type of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the geo type of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_grant ()

    ICalProperty *
    i_cal_property_new_grant (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The grant |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_grant ()

    void
    i_cal_property_set_grant (ICalProperty *prop,
                              const gchar *v);

Sets the grant for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The grant |

Since: 1.0

### i_cal_property_get_grant ()

    const gchar *
    i_cal_property_get_grant (ICalProperty *prop);

Gets the grant of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the grant of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_itipversion ()

    ICalProperty *
    i_cal_property_new_itipversion (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The itipversion |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_itipversion ()

    void
    i_cal_property_set_itipversion (ICalProperty *prop,
                                    const gchar *v);

Sets the itipversion for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The itipversion |

Since: 1.0

### i_cal_property_get_itipversion ()

    const gchar *
    i_cal_property_get_itipversion (ICalProperty *prop);

Gets the itipversion of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the itipversion of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_lastmodified ()

    ICalProperty *
    i_cal_property_new_lastmodified (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of lastmodified |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_lastmodified ()

    void
    i_cal_property_set_lastmodified (ICalProperty *prop,
                                     ICalTime *v);

Sets the lastmodified time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The lastmodified time |

Since: 1.0

### i_cal_property_get_lastmodified ()

    ICalTime *
    i_cal_property_get_lastmodified (ICalProperty *prop);

Gets the lastmodified time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the lastmodified time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_location ()

    ICalProperty *
    i_cal_property_new_location (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The location |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_location ()

    void
    i_cal_property_set_location (ICalProperty *prop,
                                 const gchar *v);

Sets the location for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The location |

Since: 1.0

### i_cal_property_get_location ()

    const gchar *
    i_cal_property_get_location (ICalProperty *prop);

Gets the location of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the location of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_maxcomponentsize ()

    ICalProperty *
    i_cal_property_new_maxcomponentsize (gint v);

Creates a new ICalProperty.

#### Parameters

v | The maxcomponentsize |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_maxcomponentsize ()

    void
    i_cal_property_set_maxcomponentsize (ICalProperty *prop,
                                         gint v);

Sets the maxcomponentsize for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The maxcomponentsize |

Since: 1.0

### i_cal_property_get_maxcomponentsize ()

    gint
    i_cal_property_get_maxcomponentsize (ICalProperty *prop);

Gets the maxcomponentsize of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the maxcomponentsize of ICalProperty.

Since: 1.0

### i_cal_property_new_maxdate ()

    ICalProperty *
    i_cal_property_new_maxdate (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of maxdate |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_maxdate ()

    void
    i_cal_property_set_maxdate (ICalProperty *prop,
                                ICalTime *v);

Sets the maxdate time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The maxdate time |

Since: 1.0

### i_cal_property_get_maxdate ()

    ICalTime *
    i_cal_property_get_maxdate (ICalProperty *prop);

Gets the maxdate time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the maxdate time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_maxresults ()

    ICalProperty *
    i_cal_property_new_maxresults (gint v);

Creates a new ICalProperty.

#### Parameters

v | The maxresults |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_maxresults ()

    void
    i_cal_property_set_maxresults (ICalProperty *prop,
                                   gint v);

Sets the maxresults for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The maxresults |

Since: 1.0

### i_cal_property_get_maxresults ()

    gint
    i_cal_property_get_maxresults (ICalProperty *prop);

Gets the maxresults of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the maxresults of ICalProperty.

Since: 1.0

### i_cal_property_new_maxresultssize ()

    ICalProperty *
    i_cal_property_new_maxresultssize (gint v);

Creates a new ICalProperty.

#### Parameters

v | The maxresultssize |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_maxresultssize ()

    void
    i_cal_property_set_maxresultssize (ICalProperty *prop,
                                       gint v);

Sets the maxresultssize for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The maxresultssize |

Since: 1.0

### i_cal_property_get_maxresultssize ()

    gint
    i_cal_property_get_maxresultssize (ICalProperty *prop);

Gets the maxresultssize of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the maxresultssize of ICalProperty.

Since: 1.0

### i_cal_property_new_method ()

    ICalProperty *
    i_cal_property_new_method (ICalPropertyMethod v);

Creates a new ICalProperty.

#### Parameters

v | The method |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_method ()

    void
    i_cal_property_set_method (ICalProperty *prop,
                               ICalPropertyMethod v);

Sets the method for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The method |

Since: 1.0

### i_cal_property_get_method ()

    ICalPropertyMethod
    i_cal_property_get_method (ICalProperty *prop);

Gets the method of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the method of ICalProperty.

Since: 1.0

### i_cal_property_new_mindate ()

    ICalProperty *
    i_cal_property_new_mindate (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of mindate |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_mindate ()

    void
    i_cal_property_set_mindate (ICalProperty *prop,
                                ICalTime *v);

Sets the mindate time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The mindate time |

Since: 1.0

### i_cal_property_get_mindate ()

    ICalTime *
    i_cal_property_get_mindate (ICalProperty *prop);

Gets the mindate time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the mindate time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_multipart ()

    ICalProperty *
    i_cal_property_new_multipart (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The multipart |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_multipart ()

    void
    i_cal_property_set_multipart (ICalProperty *prop,
                                  const gchar *v);

Sets the multipart for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The multipart |

Since: 1.0

### i_cal_property_get_multipart ()

    const gchar *
    i_cal_property_get_multipart (ICalProperty *prop);

Gets the multipart of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the multipart of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_name ()

    ICalProperty *
    i_cal_property_new_name (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The name |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_name ()

    void
    i_cal_property_set_name (ICalProperty *prop,
                             const gchar *v);

Sets the name for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The name |

Since: 1.0

### i_cal_property_get_name ()

    const gchar *
    i_cal_property_get_name (ICalProperty *prop);

Gets the name of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the name of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_organizer ()

    ICalProperty *
    i_cal_property_new_organizer (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The organizer |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_organizer ()

    void
    i_cal_property_set_organizer (ICalProperty *prop,
                                  const gchar *v);

Sets the organizer for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The organizer |

Since: 1.0

### i_cal_property_get_organizer ()

    const gchar *
    i_cal_property_get_organizer (ICalProperty *prop);

Gets the organizer of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the organizer of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_owner ()

    ICalProperty *
    i_cal_property_new_owner (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The owner |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_owner ()

    void
    i_cal_property_set_owner (ICalProperty *prop,
                              const gchar *v);

Sets the owner for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The owner |

Since: 1.0

### i_cal_property_get_owner ()

    const gchar *
    i_cal_property_get_owner (ICalProperty *prop);

Gets the owner of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the owner of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_percentcomplete ()

    ICalProperty *
    i_cal_property_new_percentcomplete (gint v);

Creates a new ICalProperty.

#### Parameters

v | The percentcomplete |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_percentcomplete ()

    void
    i_cal_property_set_percentcomplete (ICalProperty *prop,
                                        gint v);

Sets the percentcomplete for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The percentcomplete |

Since: 1.0

### i_cal_property_get_percentcomplete ()

    gint
    i_cal_property_get_percentcomplete (ICalProperty *prop);

Gets the percentcomplete of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the percentcomplete of ICalProperty.

Since: 1.0

### i_cal_property_new_permission ()

    ICalProperty *
    i_cal_property_new_permission (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The permission |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_permission ()

    void
    i_cal_property_set_permission (ICalProperty *prop,
                                   const gchar *v);

Sets the permission for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The permission |

Since: 1.0

### i_cal_property_get_permission ()

    const gchar *
    i_cal_property_get_permission (ICalProperty *prop);

Gets the permission of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the permission of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_pollcompletion ()

    ICalProperty *
    i_cal_property_new_pollcompletion (ICalPropertyPollcompletion v);

Creates a new ICalProperty.

#### Parameters

v | The pollcompletion |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_pollcompletion ()

    void
    i_cal_property_set_pollcompletion (ICalProperty *prop,
                                       ICalPropertyPollcompletion v);

Sets the pollcompletion for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The pollcompletion |

Since: 1.0

### i_cal_property_get_pollcompletion ()

    ICalPropertyPollcompletion
    i_cal_property_get_pollcompletion (ICalProperty *prop);

Gets the pollcompletion of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the pollcompletion of ICalProperty.

Since: 1.0

### i_cal_property_new_pollitemid ()

    ICalProperty *
    i_cal_property_new_pollitemid (gint v);

Creates a new ICalProperty.

#### Parameters

v | The pollitemid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_pollitemid ()

    void
    i_cal_property_set_pollitemid (ICalProperty *prop,
                                   gint v);

Sets the pollitemid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The pollitemid |

Since: 1.0

### i_cal_property_get_pollitemid ()

    gint
    i_cal_property_get_pollitemid (ICalProperty *prop);

Gets the pollitemid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the pollitemid of ICalProperty.

Since: 1.0

### i_cal_property_new_pollmode ()

    ICalProperty *
    i_cal_property_new_pollmode (ICalPropertyPollmode v);

Creates a new ICalProperty.

#### Parameters

v | The pollmode |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_pollmode ()

    void
    i_cal_property_set_pollmode (ICalProperty *prop,
                                 ICalPropertyPollmode v);

Sets the pollmode for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The pollmode |

Since: 1.0

### i_cal_property_get_pollmode ()

    ICalPropertyPollmode
    i_cal_property_get_pollmode (ICalProperty *prop);

Gets the pollmode of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the pollmode of ICalProperty.

Since: 1.0

### i_cal_property_new_pollproperties ()

    ICalProperty *
    i_cal_property_new_pollproperties (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The pollproperties |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_pollproperties ()

    void
    i_cal_property_set_pollproperties (ICalProperty *prop,
                                       const gchar *v);

Sets the pollproperties for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The pollproperties |

Since: 1.0

### i_cal_property_get_pollproperties ()

    const gchar *
    i_cal_property_get_pollproperties (ICalProperty *prop);

Gets the pollproperties of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the pollproperties of ICalProperty.

Since: 1.0

### i_cal_property_new_pollwinner ()

    ICalProperty *
    i_cal_property_new_pollwinner (gint v);

Creates a new ICalProperty.

#### Parameters

v | The pollwinner |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_pollwinner ()

    void
    i_cal_property_set_pollwinner (ICalProperty *prop,
                                   gint v);

Sets the pollwinner for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The pollwinner |

Since: 1.0

### i_cal_property_get_pollwinner ()

    gint
    i_cal_property_get_pollwinner (ICalProperty *prop);

Gets the pollwinner of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the pollwinner of ICalProperty.

Since: 1.0

### i_cal_property_new_priority ()

    ICalProperty *
    i_cal_property_new_priority (gint v);

Creates a new ICalProperty.

#### Parameters

v | The priority |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_priority ()

    void
    i_cal_property_set_priority (ICalProperty *prop,
                                 gint v);

Sets the priority for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The priority |

Since: 1.0

### i_cal_property_get_priority ()

    gint
    i_cal_property_get_priority (ICalProperty *prop);

Gets the priority of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the priority of ICalProperty.

Since: 1.0

### i_cal_property_new_prodid ()

    ICalProperty *
    i_cal_property_new_prodid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The prodid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_prodid ()

    void
    i_cal_property_set_prodid (ICalProperty *prop,
                               const gchar *v);

Sets the prodid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The prodid |

Since: 1.0

### i_cal_property_get_prodid ()

    const gchar *
    i_cal_property_get_prodid (ICalProperty *prop);

Gets the prodid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the prodid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_query ()

    ICalProperty *
    i_cal_property_new_query (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The query |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_query ()

    void
    i_cal_property_set_query (ICalProperty *prop,
                              const gchar *v);

Sets the query for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The query |

Since: 1.0

### i_cal_property_get_query ()

    const gchar *
    i_cal_property_get_query (ICalProperty *prop);

Gets the query of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the query of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_querylevel ()

    ICalProperty *
    i_cal_property_new_querylevel (ICalPropertyQuerylevel v);

Creates a new ICalProperty.

#### Parameters

v | The querylevel |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_querylevel ()

    void
    i_cal_property_set_querylevel (ICalProperty *prop,
                                   ICalPropertyQuerylevel v);

Sets the querylevel for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The querylevel |

Since: 1.0

### i_cal_property_get_querylevel ()

    ICalPropertyQuerylevel
    i_cal_property_get_querylevel (ICalProperty *prop);

Gets the querylevel of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the querylevel of ICalProperty.

Since: 1.0

### i_cal_property_new_queryid ()

    ICalProperty *
    i_cal_property_new_queryid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The queryid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_queryid ()

    void
    i_cal_property_set_queryid (ICalProperty *prop,
                                const gchar *v);

Sets the queryid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The queryid |

Since: 1.0

### i_cal_property_get_queryid ()

    const gchar *
    i_cal_property_get_queryid (ICalProperty *prop);

Gets the queryid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the queryid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_queryname ()

    ICalProperty *
    i_cal_property_new_queryname (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The queryname |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_queryname ()

    void
    i_cal_property_set_queryname (ICalProperty *prop,
                                  const gchar *v);

Sets the queryname for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The queryname |

Since: 1.0

### i_cal_property_get_queryname ()

    const gchar *
    i_cal_property_get_queryname (ICalProperty *prop);

Gets the queryname of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the queryname of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_rdate ()

    ICalProperty *
    i_cal_property_new_rdate (ICalDatetimeperiod *v);

Creates a new ICalProperty.

#### Parameters

v | The rdate |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_rdate ()

    void
    i_cal_property_set_rdate (ICalProperty *prop,
                              ICalDatetimeperiod *v);

Sets the rdate for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The rdate |

Since: 1.0

### i_cal_property_get_rdate ()

    ICalDatetimeperiod *
    i_cal_property_get_rdate (ICalProperty *prop);

Gets the rdate of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the rdate of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_recuraccepted ()

    ICalProperty *
    i_cal_property_new_recuraccepted (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The recuraccepted |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_recuraccepted ()

    void
    i_cal_property_set_recuraccepted (ICalProperty *prop,
                                      const gchar *v);

Sets the recuraccepted for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The recuraccepted |

Since: 1.0

### i_cal_property_get_recuraccepted ()

    const gchar *
    i_cal_property_get_recuraccepted (ICalProperty *prop);

Gets the recuraccepted of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the recuraccepted of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_recurexpand ()

    ICalProperty *
    i_cal_property_new_recurexpand (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The recurexpand |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_recurexpand ()

    void
    i_cal_property_set_recurexpand (ICalProperty *prop,
                                    const gchar *v);

Sets the recurexpand for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The recurexpand |

Since: 1.0

### i_cal_property_get_recurexpand ()

    const gchar *
    i_cal_property_get_recurexpand (ICalProperty *prop);

Gets the recurexpand of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the recurexpand of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_recurlimit ()

    ICalProperty *
    i_cal_property_new_recurlimit (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The recurlimit |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_recurlimit ()

    void
    i_cal_property_set_recurlimit (ICalProperty *prop,
                                   const gchar *v);

Sets the recurlimit for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The recurlimit |

Since: 1.0

### i_cal_property_get_recurlimit ()

    const gchar *
    i_cal_property_get_recurlimit (ICalProperty *prop);

Gets the recurlimit of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the recurlimit of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_recurrenceid ()

    ICalProperty *
    i_cal_property_new_recurrenceid (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of recurrenceid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_recurrenceid ()

    void
    i_cal_property_set_recurrenceid (ICalProperty *prop,
                                     ICalTime *v);

Sets the recurrenceid time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The recurrenceid time |

Since: 1.0

### i_cal_property_get_recurrenceid ()

    ICalTime *
    i_cal_property_get_recurrenceid (ICalProperty *prop);

Gets the recurrenceid time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the recurrenceid time of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_relatedto ()

    ICalProperty *
    i_cal_property_new_relatedto (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The relatedto |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_relatedto ()

    void
    i_cal_property_set_relatedto (ICalProperty *prop,
                                  const gchar *v);

Sets the relatedto for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The relatedto |

Since: 1.0

### i_cal_property_get_relatedto ()

    const gchar *
    i_cal_property_get_relatedto (ICalProperty *prop);

Gets the relatedto of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the relatedto of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_relcalid ()

    ICalProperty *
    i_cal_property_new_relcalid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The relcalid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_relcalid ()

    void
    i_cal_property_set_relcalid (ICalProperty *prop,
                                 const gchar *v);

Sets the relcalid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The relcalid |

Since: 1.0

### i_cal_property_get_relcalid ()

    const gchar *
    i_cal_property_get_relcalid (ICalProperty *prop);

Gets the relcalid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the relcalid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_repeat ()

    ICalProperty *
    i_cal_property_new_repeat (gint v);

Creates a new ICalProperty.

#### Parameters

v | The repeat |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_repeat ()

    void
    i_cal_property_set_repeat (ICalProperty *prop,
                               gint v);

Sets the repeat for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The repeat |

Since: 1.0

### i_cal_property_get_repeat ()

    gint
    i_cal_property_get_repeat (ICalProperty *prop);

Gets the repeat of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the repeat of ICalProperty.

Since: 1.0

### i_cal_property_new_replyurl ()

    ICalProperty *
    i_cal_property_new_replyurl (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The replyurl |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_replyurl ()

    void
    i_cal_property_set_replyurl (ICalProperty *prop,
                                 const gchar *v);

Sets the replyurl for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The replyurl |

Since: 2.0

### i_cal_property_get_replyurl ()

    const gchar *
    i_cal_property_get_replyurl (ICalProperty *prop);

Gets the replyurl of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the replyurl of ICalProperty.

[transfer none]

Since: 2.0

### i_cal_property_new_requeststatus ()

    ICalProperty *
    i_cal_property_new_requeststatus (ICalReqstat *v);

Creates a new ICalProperty.

#### Parameters

v | The requeststatus |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_requeststatus ()

    void
    i_cal_property_set_requeststatus (ICalProperty *prop,
                                      ICalReqstat *v);

Sets the requeststatus for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The requeststatus |

Since: 1.0

### i_cal_property_get_requeststatus ()

    ICalReqstat *
    i_cal_property_get_requeststatus (ICalProperty *prop);

Gets the requeststatus of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the requeststatus of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_resources ()

    ICalProperty *
    i_cal_property_new_resources (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The resources |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_resources ()

    void
    i_cal_property_set_resources (ICalProperty *prop,
                                  const gchar *v);

Sets the resources for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The resources |

Since: 1.0

### i_cal_property_get_resources ()

    const gchar *
    i_cal_property_get_resources (ICalProperty *prop);

Gets the resources of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the resources of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_response ()

    ICalProperty *
    i_cal_property_new_response (gint v);

Creates a new ICalProperty.

#### Parameters

v | The response |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_response ()

    void
    i_cal_property_set_response (ICalProperty *prop,
                                 gint v);

Sets the response for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The response |

Since: 2.0

### i_cal_property_get_response ()

    gint
    i_cal_property_get_response (ICalProperty *prop);

Gets the response of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the response of ICalProperty.

Since: 2.0

### i_cal_property_new_restriction ()

    ICalProperty *
    i_cal_property_new_restriction (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The restriction |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_restriction ()

    void
    i_cal_property_set_restriction (ICalProperty *prop,
                                    const gchar *v);

Sets the restriction for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The restriction |

Since: 1.0

### i_cal_property_get_restriction ()

    const gchar *
    i_cal_property_get_restriction (ICalProperty *prop);

Gets the restriction of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the restriction of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_rrule ()

    ICalProperty *
    i_cal_property_new_rrule (ICalRecurrence *v);

Creates a new ICalProperty.

#### Parameters

v | The rrule recurrence type |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_rrule ()

    void
    i_cal_property_set_rrule (ICalProperty *prop,
                              ICalRecurrence *v);

Sets the rrule for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The rrule recurrence type |

Since: 1.0

### i_cal_property_get_rrule ()

    ICalRecurrence *
    i_cal_property_get_rrule (ICalProperty *prop);

Gets the rrule recurrence type of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the rrule recurrence type of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_scope ()

    ICalProperty *
    i_cal_property_new_scope (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The scope |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_scope ()

    void
    i_cal_property_set_scope (ICalProperty *prop,
                              const gchar *v);

Sets the scope for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The scope |

Since: 1.0

### i_cal_property_get_scope ()

    const gchar *
    i_cal_property_get_scope (ICalProperty *prop);

Gets the scope of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the scope of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_sequence ()

    ICalProperty *
    i_cal_property_new_sequence (gint v);

Creates a new ICalProperty.

#### Parameters

v | The sequence |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_sequence ()

    void
    i_cal_property_set_sequence (ICalProperty *prop,
                                 gint v);

Sets the sequence for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The sequence |

Since: 1.0

### i_cal_property_get_sequence ()

    gint
    i_cal_property_get_sequence (ICalProperty *prop);

Gets the sequence of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the sequence of ICalProperty.

Since: 1.0

### i_cal_property_new_status ()

    ICalProperty *
    i_cal_property_new_status (ICalPropertyStatus v);

Creates a new ICalProperty.

#### Parameters

v | The status |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_status ()

    void
    i_cal_property_set_status (ICalProperty *prop,
                               ICalPropertyStatus v);

Sets the status for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The status |

Since: 1.0

### i_cal_property_get_status ()

    ICalPropertyStatus
    i_cal_property_get_status (ICalProperty *prop);

Gets the status of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the status of ICalProperty.

Since: 1.0

### i_cal_property_new_storesexpanded ()

    ICalProperty *
    i_cal_property_new_storesexpanded (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The storesexpanded |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_storesexpanded ()

    void
    i_cal_property_set_storesexpanded (ICalProperty *prop,
                                       const gchar *v);

Sets the storesexpanded for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The storesexpanded |

Since: 1.0

### i_cal_property_get_storesexpanded ()

    const gchar *
    i_cal_property_get_storesexpanded (ICalProperty *prop);

Gets the storesexpanded of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the storesexpanded of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_summary ()

    ICalProperty *
    i_cal_property_new_summary (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The summary |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_summary ()

    void
    i_cal_property_set_summary (ICalProperty *prop,
                                const gchar *v);

Sets the summary for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The summary |

Since: 1.0

### i_cal_property_get_summary ()

    const gchar *
    i_cal_property_get_summary (ICalProperty *prop);

Gets the summary of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the summary of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_target ()

    ICalProperty *
    i_cal_property_new_target (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The target |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_target ()

    void
    i_cal_property_set_target (ICalProperty *prop,
                               const gchar *v);

Sets the target for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The target |

Since: 1.0

### i_cal_property_get_target ()

    const gchar *
    i_cal_property_get_target (ICalProperty *prop);

Gets the target of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the target of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_taskmode ()

    ICalProperty *
    i_cal_property_new_taskmode (ICalPropertyTaskmode v);

Creates a new ICalProperty.

#### Parameters

v | The taskmode |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_taskmode ()

    void
    i_cal_property_set_taskmode (ICalProperty *prop,
                                 ICalPropertyTaskmode v);

Sets the taskmode for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The taskmode |

Since: 2.0

### i_cal_property_get_taskmode ()

    ICalPropertyTaskmode
    i_cal_property_get_taskmode (ICalProperty *prop);

Gets the taskmode of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the taskmode of ICalProperty.

Since: 2.0

### i_cal_property_new_transp ()

    ICalProperty *
    i_cal_property_new_transp (ICalPropertyTransp v);

Creates a new ICalProperty.

#### Parameters

v | The transp |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_transp ()

    void
    i_cal_property_set_transp (ICalProperty *prop,
                               ICalPropertyTransp v);

Sets the transp for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The transp |

Since: 1.0

### i_cal_property_get_transp ()

    ICalPropertyTransp
    i_cal_property_get_transp (ICalProperty *prop);

Gets the transp of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the transp of ICalProperty.

Since: 1.0

### i_cal_property_new_trigger ()

    ICalProperty *
    i_cal_property_new_trigger (ICalTrigger *v);

Creates a new ICalProperty.

#### Parameters

v | The trigger period type |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_trigger ()

    void
    i_cal_property_set_trigger (ICalProperty *prop,
                                ICalTrigger *v);

Sets the trigger time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The trigger period type |

Since: 1.0

### i_cal_property_get_trigger ()

    ICalTrigger *
    i_cal_property_get_trigger (ICalProperty *prop);

Gets the trigger period type of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the trigger period type of ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_new_tzid ()

    ICalProperty *
    i_cal_property_new_tzid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The tzid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_tzid ()

    void
    i_cal_property_set_tzid (ICalProperty *prop,
                             const gchar *v);

Sets the tzid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The tzid |

Since: 1.0

### i_cal_property_get_tzid ()

    const gchar *
    i_cal_property_get_tzid (ICalProperty *prop);

Gets the tzid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_tzidaliasof ()

    ICalProperty *
    i_cal_property_new_tzidaliasof (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The tzidaliasof |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_tzidaliasof ()

    void
    i_cal_property_set_tzidaliasof (ICalProperty *prop,
                                    const gchar *v);

Sets the tzidaliasof for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The tzidaliasof |

Since: 2.0

### i_cal_property_get_tzidaliasof ()

    const gchar *
    i_cal_property_get_tzidaliasof (ICalProperty *prop);

Gets the tzidaliasof of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzidaliasof of ICalProperty.

[transfer none]

Since: 2.0

### i_cal_property_new_tzname ()

    ICalProperty *
    i_cal_property_new_tzname (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The tzname |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_tzname ()

    void
    i_cal_property_set_tzname (ICalProperty *prop,
                               const gchar *v);

Sets the tzname for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The tzname |

Since: 1.0

### i_cal_property_get_tzname ()

    const gchar *
    i_cal_property_get_tzname (ICalProperty *prop);

Gets the tzname of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzname of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_tzoffsetfrom ()

    ICalProperty *
    i_cal_property_new_tzoffsetfrom (gint v);

Creates a new ICalProperty.

#### Parameters

v | The tzoffsetfrom |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_tzoffsetfrom ()

    void
    i_cal_property_set_tzoffsetfrom (ICalProperty *prop,
                                     gint v);

Sets the tzoffsetfrom for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The tzoffsetfrom |

Since: 1.0

### i_cal_property_get_tzoffsetfrom ()

    gint
    i_cal_property_get_tzoffsetfrom (ICalProperty *prop);

Gets the tzoffsetfrom of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzoffsetfrom of ICalProperty.

Since: 1.0

### i_cal_property_new_tzoffsetto ()

    ICalProperty *
    i_cal_property_new_tzoffsetto (gint v);

Creates a new ICalProperty.

#### Parameters

v | The tzoffsetto |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_tzoffsetto ()

    void
    i_cal_property_set_tzoffsetto (ICalProperty *prop,
                                   gint v);

Sets the tzoffsetto for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The tzoffsetto |

Since: 1.0

### i_cal_property_get_tzoffsetto ()

    gint
    i_cal_property_get_tzoffsetto (ICalProperty *prop);

Gets the tzoffsetto of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzoffsetto of ICalProperty.

Since: 1.0

### i_cal_property_new_tzuntil ()

    ICalProperty *
    i_cal_property_new_tzuntil (ICalTime *v);

Creates a new ICalProperty.

#### Parameters

v | The time of acknowledgement |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_tzuntil ()

    void
    i_cal_property_set_tzuntil (ICalProperty *prop,
                                ICalTime *v);

Sets the tzuntil time for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The acknowledgement time |

Since: 2.0

### i_cal_property_get_tzuntil ()

    ICalTime *
    i_cal_property_get_tzuntil (ICalProperty *prop);

Gets the tzuntil time of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzuntil time of ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_new_tzurl ()

    ICalProperty *
    i_cal_property_new_tzurl (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The tzurl |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_tzurl ()

    void
    i_cal_property_set_tzurl (ICalProperty *prop,
                              const gchar *v);

Sets the tzurl for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The tzurl |

Since: 1.0

### i_cal_property_get_tzurl ()

    const gchar *
    i_cal_property_get_tzurl (ICalProperty *prop);

Gets the tzurl of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the tzurl of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_uid ()

    ICalProperty *
    i_cal_property_new_uid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The uid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_uid ()

    void
    i_cal_property_set_uid (ICalProperty *prop,
                            const gchar *v);

Sets the uid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The uid |

Since: 1.0

### i_cal_property_get_uid ()

    const gchar *
    i_cal_property_get_uid (ICalProperty *prop);

Gets the uid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the uid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_url ()

    ICalProperty *
    i_cal_property_new_url (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The url |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_url ()

    void
    i_cal_property_set_url (ICalProperty *prop,
                            const gchar *v);

Sets the url for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The url |

Since: 1.0

### i_cal_property_get_url ()

    const gchar *
    i_cal_property_get_url (ICalProperty *prop);

Gets the url of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the url of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_version ()

    ICalProperty *
    i_cal_property_new_version (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The version |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_version ()

    void
    i_cal_property_set_version (ICalProperty *prop,
                                const gchar *v);

Sets the version for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The version |

Since: 1.0

### i_cal_property_get_version ()

    const gchar *
    i_cal_property_get_version (ICalProperty *prop);

Gets the version of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the version of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_voter ()

    ICalProperty *
    i_cal_property_new_voter (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The voter |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 2.0

### i_cal_property_set_voter ()

    void
    i_cal_property_set_voter (ICalProperty *prop,
                              const gchar *v);

Sets the voter for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The voter |

Since: 2.0

### i_cal_property_get_voter ()

    const gchar *
    i_cal_property_get_voter (ICalProperty *prop);

Gets the voter of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the voter of ICalProperty.

[transfer none]

Since: 2.0

### i_cal_property_new_x ()

    ICalProperty *
    i_cal_property_new_x (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The x |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_x ()

    void
    i_cal_property_set_x (ICalProperty *prop,
                          const gchar *v);

Sets the x for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The x |

Since: 1.0

### i_cal_property_get_x ()

    const gchar *
    i_cal_property_get_x (ICalProperty *prop);

Gets the x of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the x of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicclass ()

    ICalProperty *
    i_cal_property_new_xlicclass (ICalPropertyXlicclass v);

Creates a new ICalProperty.

#### Parameters

v | The xlicclass |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicclass ()

    void
    i_cal_property_set_xlicclass (ICalProperty *prop,
                                  ICalPropertyXlicclass v);

Sets the xlicclass for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicclass |

Since: 1.0

### i_cal_property_get_xlicclass ()

    ICalPropertyXlicclass
    i_cal_property_get_xlicclass (ICalProperty *prop);

Gets the xlicclass of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicclass of ICalProperty.

Since: 1.0

### i_cal_property_new_xlicclustercount ()

    ICalProperty *
    i_cal_property_new_xlicclustercount (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicclustercount |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicclustercount ()

    void
    i_cal_property_set_xlicclustercount (ICalProperty *prop,
                                         const gchar *v);

Sets the xlicclustercount for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicclustercount |

Since: 1.0

### i_cal_property_get_xlicclustercount ()

    const gchar *
    i_cal_property_get_xlicclustercount (ICalProperty *prop);

Gets the xlicclustercount of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicclustercount of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicerror ()

    ICalProperty *
    i_cal_property_new_xlicerror (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicerror |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicerror ()

    void
    i_cal_property_set_xlicerror (ICalProperty *prop,
                                  const gchar *v);

Sets the xlicerror for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicerror |

Since: 1.0

### i_cal_property_get_xlicerror ()

    const gchar *
    i_cal_property_get_xlicerror (ICalProperty *prop);

Gets the xlicerror of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicerror of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicmimecharset ()

    ICalProperty *
    i_cal_property_new_xlicmimecharset (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicmimecharset |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicmimecharset ()

    void
    i_cal_property_set_xlicmimecharset (ICalProperty *prop,
                                        const gchar *v);

Sets the xlicmimecharset for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicmimecharset |

Since: 1.0

### i_cal_property_get_xlicmimecharset ()

    const gchar *
    i_cal_property_get_xlicmimecharset (ICalProperty *prop);

Gets the xlicmimecharset of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicmimecharset of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicmimecid ()

    ICalProperty *
    i_cal_property_new_xlicmimecid (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicmimecid |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicmimecid ()

    void
    i_cal_property_set_xlicmimecid (ICalProperty *prop,
                                    const gchar *v);

Sets the xlicmimecid for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicmimecid |

Since: 1.0

### i_cal_property_get_xlicmimecid ()

    const gchar *
    i_cal_property_get_xlicmimecid (ICalProperty *prop);

Gets the xlicmimecid of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicmimecid of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicmimecontenttype ()

    ICalProperty *
    i_cal_property_new_xlicmimecontenttype
                                   (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicmimecontenttype |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicmimecontenttype ()

    void
    i_cal_property_set_xlicmimecontenttype
                                   (ICalProperty *prop,
                                    const gchar *v);

Sets the xlicmimecontenttype for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicmimecontenttype |

Since: 1.0

### i_cal_property_get_xlicmimecontenttype ()

    const gchar *
    i_cal_property_get_xlicmimecontenttype
                                   (ICalProperty *prop);

Gets the xlicmimecontenttype of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicmimecontenttype of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicmimeencoding ()

    ICalProperty *
    i_cal_property_new_xlicmimeencoding (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicmimeencoding |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicmimeencoding ()

    void
    i_cal_property_set_xlicmimeencoding (ICalProperty *prop,
                                         const gchar *v);

Sets the xlicmimeencoding for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicmimeencoding |

Since: 1.0

### i_cal_property_get_xlicmimeencoding ()

    const gchar *
    i_cal_property_get_xlicmimeencoding (ICalProperty *prop);

Gets the xlicmimeencoding of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicmimeencoding of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicmimefilename ()

    ICalProperty *
    i_cal_property_new_xlicmimefilename (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicmimefilename |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicmimefilename ()

    void
    i_cal_property_set_xlicmimefilename (ICalProperty *prop,
                                         const gchar *v);

Sets the xlicmimefilename for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicmimefilename |

Since: 1.0

### i_cal_property_get_xlicmimefilename ()

    const gchar *
    i_cal_property_get_xlicmimefilename (ICalProperty *prop);

Gets the xlicmimefilename of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicmimefilename of ICalProperty.

[transfer none]

Since: 1.0

### i_cal_property_new_xlicmimeoptinfo ()

    ICalProperty *
    i_cal_property_new_xlicmimeoptinfo (const gchar *v);

Creates a new ICalProperty.

#### Parameters

v | The xlicmimeoptinfo |

#### Returns

The newly created ICalProperty.

[transfer full]

Since: 1.0

### i_cal_property_set_xlicmimeoptinfo ()

    void
    i_cal_property_set_xlicmimeoptinfo (ICalProperty *prop,
                                        const gchar *v);

Sets the xlicmimeoptinfo for the ICalProperty.

#### Parameters

prop | The ICalProperty to be set |
v | The xlicmimeoptinfo |

Since: 1.0

### i_cal_property_get_xlicmimeoptinfo ()

    const gchar *
    i_cal_property_get_xlicmimeoptinfo (ICalProperty *prop);

Gets the xlicmimeoptinfo of ICalProperty.

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

Get the xlicmimeoptinfo of ICalProperty.

[transfer none]

Since: 1.0

## Types and Values

### enum ICalPropertyKind

#### Members

I_CAL_ANY_PROPERTY |  |
I_CAL_ACCEPTRESPONSE_PROPERTY |  |
I_CAL_ACKNOWLEDGED_PROPERTY |  |
I_CAL_ACTION_PROPERTY |  |
I_CAL_ALLOWCONFLICT_PROPERTY |  |
I_CAL_ATTACH_PROPERTY |  |
I_CAL_ATTENDEE_PROPERTY |  |
I_CAL_BUSYTYPE_PROPERTY |  |
I_CAL_CALID_PROPERTY |  |
I_CAL_CALMASTER_PROPERTY |  |
I_CAL_CALSCALE_PROPERTY |  |
I_CAL_CAPVERSION_PROPERTY |  |
I_CAL_CARLEVEL_PROPERTY |  |
I_CAL_CARID_PROPERTY |  |
I_CAL_CATEGORIES_PROPERTY |  |
I_CAL_CLASS_PROPERTY |  |
I_CAL_CMD_PROPERTY |  |
I_CAL_COLOR_PROPERTY |  |
I_CAL_COMMENT_PROPERTY |  |
I_CAL_COMPLETED_PROPERTY |  |
I_CAL_COMPONENTS_PROPERTY |  |
I_CAL_CONTACT_PROPERTY |  |
I_CAL_CREATED_PROPERTY |  |
I_CAL_CSID_PROPERTY |  |
I_CAL_DATEMAX_PROPERTY |  |
I_CAL_DATEMIN_PROPERTY |  |
I_CAL_DECREED_PROPERTY |  |
I_CAL_DEFAULTCHARSET_PROPERTY |  |
I_CAL_DEFAULTLOCALE_PROPERTY |  |
I_CAL_DEFAULTTZID_PROPERTY |  |
I_CAL_DEFAULTVCARS_PROPERTY |  |
I_CAL_DENY_PROPERTY |  |
I_CAL_DESCRIPTION_PROPERTY |  |
I_CAL_DTEND_PROPERTY |  |
I_CAL_DTSTAMP_PROPERTY |  |
I_CAL_DTSTART_PROPERTY |  |
I_CAL_DUE_PROPERTY |  |
I_CAL_DURATION_PROPERTY |  |
I_CAL_ESTIMATEDDURATION_PROPERTY |  |
I_CAL_EXDATE_PROPERTY |  |
I_CAL_EXPAND_PROPERTY |  |
I_CAL_EXRULE_PROPERTY |  |
I_CAL_FREEBUSY_PROPERTY |  |
I_CAL_GEO_PROPERTY |  |
I_CAL_GRANT_PROPERTY |  |
I_CAL_ITIPVERSION_PROPERTY |  |
I_CAL_LASTMODIFIED_PROPERTY |  |
I_CAL_LOCATION_PROPERTY |  |
I_CAL_MAXCOMPONENTSIZE_PROPERTY |  |
I_CAL_MAXDATE_PROPERTY |  |
I_CAL_MAXRESULTS_PROPERTY |  |
I_CAL_MAXRESULTSSIZE_PROPERTY |  |
I_CAL_METHOD_PROPERTY |  |
I_CAL_MINDATE_PROPERTY |  |
I_CAL_MULTIPART_PROPERTY |  |
I_CAL_NAME_PROPERTY |  |
I_CAL_ORGANIZER_PROPERTY |  |
I_CAL_OWNER_PROPERTY |  |
I_CAL_PERCENTCOMPLETE_PROPERTY |  |
I_CAL_PERMISSION_PROPERTY |  |
I_CAL_POLLCOMPLETION_PROPERTY |  |
I_CAL_POLLITEMID_PROPERTY |  |
I_CAL_POLLMODE_PROPERTY |  |
I_CAL_POLLPROPERTIES_PROPERTY |  |
I_CAL_POLLWINNER_PROPERTY |  |
I_CAL_PRIORITY_PROPERTY |  |
I_CAL_PRODID_PROPERTY |  |
I_CAL_QUERY_PROPERTY |  |
I_CAL_QUERYLEVEL_PROPERTY |  |
I_CAL_QUERYID_PROPERTY |  |
I_CAL_QUERYNAME_PROPERTY |  |
I_CAL_RDATE_PROPERTY |  |
I_CAL_RECURACCEPTED_PROPERTY |  |
I_CAL_RECUREXPAND_PROPERTY |  |
I_CAL_RECURLIMIT_PROPERTY |  |
I_CAL_RECURRENCEID_PROPERTY |  |
I_CAL_RELATEDTO_PROPERTY |  |
I_CAL_RELCALID_PROPERTY |  |
I_CAL_REPEAT_PROPERTY |  |
I_CAL_REPLYURL_PROPERTY |  |
I_CAL_REQUESTSTATUS_PROPERTY |  |
I_CAL_RESOURCES_PROPERTY |  |
I_CAL_RESPONSE_PROPERTY |  |
I_CAL_RESTRICTION_PROPERTY |  |
I_CAL_RRULE_PROPERTY |  |
I_CAL_SCOPE_PROPERTY |  |
I_CAL_SEQUENCE_PROPERTY |  |
I_CAL_STATUS_PROPERTY |  |
I_CAL_STORESEXPANDED_PROPERTY |  |
I_CAL_SUMMARY_PROPERTY |  |
I_CAL_TARGET_PROPERTY |  |
I_CAL_TASKMODE_PROPERTY |  |
I_CAL_TRANSP_PROPERTY |  |
I_CAL_TRIGGER_PROPERTY |  |
I_CAL_TZID_PROPERTY |  |
I_CAL_TZIDALIASOF_PROPERTY |  |
I_CAL_TZNAME_PROPERTY |  |
I_CAL_TZOFFSETFROM_PROPERTY |  |
I_CAL_TZOFFSETTO_PROPERTY |  |
I_CAL_TZUNTIL_PROPERTY |  |
I_CAL_TZURL_PROPERTY |  |
I_CAL_UID_PROPERTY |  |
I_CAL_URL_PROPERTY |  |
I_CAL_VERSION_PROPERTY |  |
I_CAL_VOTER_PROPERTY |  |
I_CAL_X_PROPERTY |  |
I_CAL_XLICCLASS_PROPERTY |  |
I_CAL_XLICCLUSTERCOUNT_PROPERTY |  |
I_CAL_XLICERROR_PROPERTY |  |
I_CAL_XLICMIMECHARSET_PROPERTY |  |
I_CAL_XLICMIMECID_PROPERTY |  |
I_CAL_XLICMIMECONTENTTYPE_PROPERTY |  |
I_CAL_XLICMIMEENCODING_PROPERTY |  |
I_CAL_XLICMIMEFILENAME_PROPERTY |  |
I_CAL_XLICMIMEOPTINFO_PROPERTY |  |
I_CAL_NO_PROPERTY |  |